#
# spec file for package dosfstools (Version 2.9)
#
# Copyright (c) 2004 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         dosfstools
Provides:     mkdosfs dosfsck
License:      GPL
Group:        System/Filesystems
Autoreqprov:  on
Summary:      Utilities for Making and Checking MS-DOS FAT Filesystems on Linux
Version:      2.9
Release:      48
URL:          ftp://ftp.uni-erlangen.de/pub/Linux/LOCAL/dosfstools
Source:       dosfstools-%{version}.src.tar.bz2 
Patch:        dosfstools-%{version}.patch
Patch1:       dosfstools-%{version}-sign.patch
Obsoletes:    mkdosfs dosfsck dosfstls
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
The dosfstools package includes the mkdosfs and dosfsck utilities,
which respectively make and check MS-DOS FAT filesystems on hard drives
or on floppies.



Authors:
--------
    Dave Hudson <dave@humbug.demon.co.uk>
    Werner Almesberger <werner.almesberger@lrc.di.epfl.ch>
    Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>

%prep
%setup
%patch -p1
%patch1

%build
make OPTFLAGS="-D_FILE_OFFSET_BITS=64 -Dllseek=lseek64 -D_LARGEFILE64_SOURCE $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
# directories
install -d $RPM_BUILD_ROOT{/sbin,%{_mandir}/man8}
# binaries
install -m755 -s mkdosfs/mkdosfs $RPM_BUILD_ROOT/sbin/
install -m755 -s dosfsck/dosfsck $RPM_BUILD_ROOT/sbin/
# alternative names
ln -sf mkdosfs $RPM_BUILD_ROOT/sbin/mkfs.msdos
ln -sf dosfsck $RPM_BUILD_ROOT/sbin/fsck.msdos
# man pages
install -m 644 mkdosfs/mkdosfs.8 $RPM_BUILD_ROOT%{_mandir}/man8/
install -m 644 dosfsck/dosfsck.8 $RPM_BUILD_ROOT%{_mandir}/man8/
# man pages for alternative names
ln -sf mkdosfs.8.gz $RPM_BUILD_ROOT%{_mandir}/man8/mkfs.msdos.8.gz
ln -sf dosfsck.8.gz $RPM_BUILD_ROOT%{_mandir}/man8/fsck.msdos.8.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES TODO README.Atari
/sbin/*
%{_mandir}/man8/*.gz

%changelog -n dosfstools
* Tue Mar 09 2004 - mcihar@suse.cz
- fix broken dosfsck, which badly detected empty FAT entries (bug #34757)
* Mon Jun 09 2003 - mcihar@suse.cz
- new upstream version 2.9:
  * dosfsck: Fix potential for "Internal error: next_cluster on bad cluster".
  * dosfsck: When clearing long file names, don't overwrite the dir
  entries with all zeros, but put 0xe5 into the first byte.
  Otherwise, some OSes stop reading the directory at that point...
  * dosfsck: in statistics printed by -v, fix 32bit overflow in number
  of data bytes.
  * dosfsck: fix an potential overflow in "too many clusters" check
  * dosfsck: allow FAT size > 32MB.
  * dosfsck: allow for only one FAT
  * dosfsck: with -v, also check that last sector of the filesystem can
  be read (in case a partition is smaller than the fs thinks)
- realy working large file support
- don't package obsolette documentation
* Wed Dec 04 2002 - mcihar@suse.cz
- don't allow -fPIC on i386 in CFLAGS, even on i386-debug, because
  this package doesn't build with it
* Mon Dec 02 2002 - ro@suse.de
- include errno.h where needed
* Tue Sep 10 2002 - mcihar@suse.cz
- added -D_FILE_OFFSET_BITS=64 to CFLAGS to support larger files/partitions
* Tue May 21 2002 - ro@suse.de
- extend 64bit ifdefs for new platforms
* Fri Mar 01 2002 - jantos@suse.cz
- Fixed missing files in documentation (bug 13973)
* Fri Sep 14 2001 - schwab@suse.de
- Fix crash if mkdosfs is called without arguments.
* Tue May 22 2001 - pblaha@suse.cz
- fixed include files on ia64
* Sun Apr 08 2001 - schwab@suse.de
- Fix to build on ia64.
* Mon Mar 05 2001 - pblaha@suse.cz
- update on 2.8
* Mon Feb 12 2001 - ro@suse.de
- don't include linux/fs.h
* Thu Jan 18 2001 - schwab@suse.de
- Add Obsoletes: dosfstls.
* Wed Jan 17 2001 - pblaha@suse.cz
- added message  "not enough memory to run dosfsck\n"
- if not free memory for malloc
* Fri Dec 22 2000 - pblaha@suse.cz
- upgrade on 2.6 and rename on dosfstools
* Mon Dec 04 2000 - sf@suse.de
- corrected patch to compile on Alpha and ia64
* Tue Nov 21 2000 - uli@suse.de
- worked around strncasecmp declaration conflict in mkdosfs.c
* Mon Nov 13 2000 - ro@suse.de
- hacked to compile on 2.4 includes
* Thu Nov 02 2000 - pblaha@suse.cz
- update to version 2.4
* Mon Jun 05 2000 - schwab@suse.de
- Fix llseek on ia64.
* Fri Jun 02 2000 - bubnikv@suse.cz
- new package in SuSE, version 2.2
- makes packages dosfsck and mkdosfs obsolette
